# Uses of Interface
org.eclipse.emf.cdo.common.revision.delta.CDORevisionDelta

Packages that use CDORevisionDelta
Package
Description
org.eclipse.emf.cdo
Client concepts like `CDOObject` and `CDOState`.
org.eclipse.emf.cdo.common.commit
Common concepts for dealing with commits and change sets.
org.eclipse.emf.cdo.common.protocol
Common concepts for dealing with protocols and CDO-specific I/O.
org.eclipse.emf.cdo.common.revision
Common concepts for dealing with revisions and revision lists.
org.eclipse.emf.cdo.common.revision.delta
Common concepts for dealing with revision deltas and feature deltas.
org.eclipse.emf.cdo.lm.server
Server integration of the CDO Lifecycle Management.
org.eclipse.emf.cdo.security.impl
The generated EMF implementation of the CDO security model.
org.eclipse.emf.cdo.spi.common.protocol
Common base implementations for dealing with I/O of CDO data structures.
org.eclipse.emf.cdo.spi.common.revision
Common service provider interfaces and useful base implementations for dealing with revisions and deltas.
org.eclipse.emf.cdo.transaction
Client concepts for dealing with transactions, distributed transactions and their save points.
org.eclipse.emf.cdo.util
Client utility classes, some common interfaces and exceptions.
org.eclipse.emf.cdo.view
Client concepts for dealing with views, view sets, queries, CDO objects and EMF resource sets.
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of CDORevisionDelta in org.eclipse.emf.cdo

Methods in org.eclipse.emf.cdo that return CDORevisionDelta
Modifier and Type
Method
Description
`CDORevisionDelta`
CDODeltaNotification.`getRevisionDelta()`
Returns the `CDORevisionDelta` associated with this notification.

## Uses of CDORevisionDelta in org.eclipse.emf.cdo.common.commit

Method parameters in org.eclipse.emf.cdo.common.commit with type arguments of type CDORevisionDelta
Modifier and Type
Method
Description
`default void`
CDOChangeSetData.`forEachRevisionDelta(Consumer<CDORevisionDelta> consumer)`

## Uses of CDORevisionDelta in org.eclipse.emf.cdo.common.protocol

Methods in org.eclipse.emf.cdo.common.protocol that return CDORevisionDelta
Modifier and Type
Method
Description
`CDORevisionDelta`
CDODataInput.`readCDORevisionDelta()`
Methods in org.eclipse.emf.cdo.common.protocol with parameters of type CDORevisionDelta
Modifier and Type
Method
Description
`void`
CDODataOutput.`writeCDORevisionDelta(CDORevisionDelta revisionDelta)`

## Uses of CDORevisionDelta in org.eclipse.emf.cdo.common.revision

Methods in org.eclipse.emf.cdo.common.revision that return CDORevisionDelta
Modifier and Type
Method
Description
`CDORevisionDelta`
CDORevision.`compare(CDORevision origin)`
`static CDORevisionDelta`
CDORevisionUtil.`createDelta(CDORevision revision)`
Methods in org.eclipse.emf.cdo.common.revision with parameters of type CDORevisionDelta
Modifier and Type
Method
Description
`void`
CDORevision.`merge(CDORevisionDelta delta)`

## Uses of CDORevisionDelta in org.eclipse.emf.cdo.common.revision.delta

Fields in org.eclipse.emf.cdo.common.revision.delta declared as CDORevisionDelta
Modifier and Type
Field
Description
`static final CDORevisionDelta`
CDORevisionDelta.`DETACHED`
This constant is only passed into conflict resolvers to indicate that a conflict was caused by remote detachment of an object.
Methods in org.eclipse.emf.cdo.common.revision.delta that return CDORevisionDelta
Modifier and Type
Method
Description
`CDORevisionDelta`
CDORevisionDelta.`copy()`
`CDORevisionDelta`
CDORevisionDeltaProvider.`getRevisionDelta(CDOID id)`

## Uses of CDORevisionDelta in org.eclipse.emf.cdo.lm.server

Methods in org.eclipse.emf.cdo.lm.server with parameters of type CDORevisionDelta
Modifier and Type
Method
Description
`protected void`
AbstractLifecycleManager.`handleBaselineDeletion(IStoreAccessor.CommitContext commitContext, CDORevisionDelta revisionDelta, CDORemoveFeatureDelta removeFeatureDelta)`

## Uses of CDORevisionDelta in org.eclipse.emf.cdo.security.impl

Methods in org.eclipse.emf.cdo.security.impl that return CDORevisionDelta
Modifier and Type
Method
Description
`CDORevisionDelta[]`
PermissionImpl.CommitImpactContext.`getDirtyObjectDeltas()`
Returns the revision deltas of the changed objects of the current commit.

## Uses of CDORevisionDelta in org.eclipse.emf.cdo.spi.common.protocol

Methods in org.eclipse.emf.cdo.spi.common.protocol that return CDORevisionDelta
Modifier and Type
Method
Description
`CDORevisionDelta`
CDODataInputImpl.`readCDORevisionDelta()`
Methods in org.eclipse.emf.cdo.spi.common.protocol with parameters of type CDORevisionDelta
Modifier and Type
Method
Description
`void`
CDODataOutputImpl.`writeCDORevisionDelta(CDORevisionDelta revisionDelta)`

## Uses of CDORevisionDelta in org.eclipse.emf.cdo.spi.common.revision

Subinterfaces of CDORevisionDelta in org.eclipse.emf.cdo.spi.common.revision
Modifier and Type
Interface
Description
`interface`
`InternalCDORevisionDelta`
If the meaning of this type isn't clear, there really should be more of a description here...
Methods in org.eclipse.emf.cdo.spi.common.revision with parameters of type CDORevisionDelta
Modifier and Type
Method
Description
`void`
BaseCDORevision.`merge(CDORevisionDelta delta)`
`void`
CDORevisionMerger.`merge(InternalCDORevision revision, CDORevisionDelta delta)`
`void`
DelegatingCDORevision.`merge(CDORevisionDelta delta)`
`void`
StubCDORevision.`merge(CDORevisionDelta delta)`

## Uses of CDORevisionDelta in org.eclipse.emf.cdo.transaction

Methods in org.eclipse.emf.cdo.transaction that return types with arguments of type CDORevisionDelta
Modifier and Type
Method
Description
`Map<CDOID,CDORevisionDelta>`
CDOSavepoint.`getAllRevisionDeltas()`
Return the list of all deltas without objects that are removed.
`Map<CDOID,CDORevisionDelta>`
CDOCommitContext.`getRevisionDeltas()`
Returns a map of the `revision deltas` that are to be committed with this commit context.
`Map<CDOID,CDORevisionDelta>`
CDOPushTransaction.`getRevisionDeltas()`
`ConcurrentMap<CDOID,CDORevisionDelta>`
CDOSavepoint.`getRevisionDeltas()`
Deprecated.
As of 4.2 use `CDOSavepoint.getRevisionDeltas2()` instead.
`Map<CDOID,CDORevisionDelta>`
CDOTransaction.`getRevisionDeltas()`
`Map<CDOID,CDORevisionDelta>`
CDOSavepoint.`getRevisionDeltas2()`
Method parameters in org.eclipse.emf.cdo.transaction with type arguments of type CDORevisionDelta
Modifier and Type
Method
Description
`void`
CDOConflictResolver2.`resolveConflicts(Map<CDOObject,org.eclipse.net4j.util.collection.Pair<CDORevision,CDORevisionDelta>> conflicts, List<CDORevisionDelta> allRemoteDeltas)`
Resolves conflicts after remote invalidations arrived for objects that are locally dirty or detached.
`void`
CDOConflictResolver2.`resolveConflicts(Map<CDOObject,org.eclipse.net4j.util.collection.Pair<CDORevision,CDORevisionDelta>> conflicts, List<CDORevisionDelta> allRemoteDeltas)`
Resolves conflicts after remote invalidations arrived for objects that are locally dirty or detached.

## Uses of CDORevisionDelta in org.eclipse.emf.cdo.util

Methods in org.eclipse.emf.cdo.util that return CDORevisionDelta
Modifier and Type
Method
Description
`static CDORevisionDelta`
CDOUtil.`getRevisionDelta(CDOObject object)`

## Uses of CDORevisionDelta in org.eclipse.emf.cdo.view

Methods in org.eclipse.emf.cdo.view that return types with arguments of type CDORevisionDelta
Modifier and Type
Method
Description
`Map<CDOObject,CDORevisionDelta>`
CDOViewInvalidationEvent.`getRevisionDeltas()`
Returns a map with the `change deltas` per object.

## Uses of CDORevisionDelta in org.eclipse.emf.spi.cdo

Methods in org.eclipse.emf.spi.cdo that return CDORevisionDelta
Modifier and Type
Method
Description
`CDORevisionDelta`
DefaultCDOMerger.ChangedInSourceAndDetachedInTargetConflict.`getSourceDelta()`
`CDORevisionDelta`
DefaultCDOMerger.ChangedInSourceAndTargetConflict.`getSourceDelta()`
`CDORevisionDelta`
DefaultCDOMerger.ChangedInSourceAndTargetConflict.`getTargetDelta()`
`CDORevisionDelta`
DefaultCDOMerger.ChangedInTargetAndDetachedInSourceConflict.`getTargetDelta()`
Methods in org.eclipse.emf.spi.cdo that return types with arguments of type CDORevisionDelta
Modifier and Type
Method
Description
`List<CDORevisionDelta>`
AbstractObjectConflictResolver.ThreeWayMerge.RevisionDeltaCollector.`getDeltas(CDOObject notifier)`
Methods in org.eclipse.emf.spi.cdo with parameters of type CDORevisionDelta
Modifier and Type
Method
Description
`protected Object`
DefaultCDOMerger.`changedInSource(CDORevisionDelta delta)`
`protected Object`
DefaultCDOMerger.`changedInSourceAndDetachedInTarget(CDORevisionDelta sourceDelta)`
`protected Object`
DefaultCDOMerger.`changedInSourceAndTarget(CDORevisionDelta targetDelta, CDORevisionDelta sourceDelta)`
`protected Object`
DefaultCDOMerger.PerFeature.`changedInSourceAndTarget(CDORevisionDelta targetDelta, CDORevisionDelta sourceDelta)`
`protected Object`
DefaultCDOMerger.`changedInTarget(CDORevisionDelta delta)`
`protected Object`
DefaultCDOMerger.`changedInTargetAndDetachedInSource(CDORevisionDelta targetDelta)`
`static void`
AbstractObjectConflictResolver.`changeObject(CDOObject object, CDORevisionDelta revisionDelta)`
TODO See `CDOObjectMerger`!!!
`void`
InternalCDOView.`clearResourcePathCacheIfNecessary(CDORevisionDelta delta)`
`protected boolean`
AbstractObjectConflictResolver.MergeLocalChangesPerFeature.`hasFeatureConflicts(CDORevisionDelta localDelta, List<CDORevisionDelta> remoteDeltas)`
Deprecated.
`void`
InternalCDOTransaction.`registerRevisionDelta(CDORevisionDelta revisionDelta)`
`protected void`
AbstractObjectConflictResolver.MergeLocalChangesPerFeature.`resolveConflict(CDOObject conflict, CDORevisionDelta localDelta, List<CDORevisionDelta> remoteDeltas)`
Deprecated.
`protected void`
AbstractObjectConflictResolver.`resolveConflict(CDOObject conflict, CDORevision oldRemoteRevision, CDORevisionDelta localDelta, CDORevisionDelta remoteDelta, List<CDORevisionDelta> allRemoteDeltas)`
Resolves the conflict of a single object in the current transaction.
`protected void`
AbstractObjectConflictResolver.`resolveConflict(CDOObject conflict, CDORevisionDelta localDelta)`
Resolves the conflict of a single object in the current transaction.
`protected void`
AbstractObjectConflictResolver.ThreeWayMerge.`resolveConflict(CDOObject conflict, CDORevision oldRemoteRevision, CDORevisionDelta localDelta, CDORevisionDelta remoteDelta, List<CDORevisionDelta> allRemoteDeltas)`
`protected abstract void`
AbstractObjectConflictResolver.ThreeWayMerge.`resolveConflict(CDOObject conflict, CDORevisionDelta localDelta, List<CDORevisionDelta> remoteDeltas)`
Method parameters in org.eclipse.emf.spi.cdo with type arguments of type CDORevisionDelta
Modifier and Type
Method
Description
`protected boolean`
AbstractObjectConflictResolver.MergeLocalChangesPerFeature.`hasFeatureConflicts(CDORevisionDelta localDelta, List<CDORevisionDelta> remoteDeltas)`
Deprecated.
`protected void`
AbstractObjectConflictResolver.MergeLocalChangesPerFeature.`resolveConflict(CDOObject conflict, CDORevisionDelta localDelta, List<CDORevisionDelta> remoteDeltas)`
Deprecated.
`protected void`
AbstractObjectConflictResolver.`resolveConflict(CDOObject conflict, CDORevision oldRemoteRevision, CDORevisionDelta localDelta, CDORevisionDelta remoteDelta, List<CDORevisionDelta> allRemoteDeltas)`
Resolves the conflict of a single object in the current transaction.
`protected void`
AbstractObjectConflictResolver.ThreeWayMerge.`resolveConflict(CDOObject conflict, CDORevision oldRemoteRevision, CDORevisionDelta localDelta, CDORevisionDelta remoteDelta, List<CDORevisionDelta> allRemoteDeltas)`
`protected abstract void`
AbstractObjectConflictResolver.ThreeWayMerge.`resolveConflict(CDOObject conflict, CDORevisionDelta localDelta, List<CDORevisionDelta> remoteDeltas)`
`void`
AbstractObjectConflictResolver.`resolveConflicts(Map<CDOObject,org.eclipse.net4j.util.collection.Pair<CDORevision,CDORevisionDelta>> conflicts, List<CDORevisionDelta> allRemoteDeltas)`
`void`
AbstractObjectConflictResolver.`resolveConflicts(Map<CDOObject,org.eclipse.net4j.util.collection.Pair<CDORevision,CDORevisionDelta>> conflicts, List<CDORevisionDelta> allRemoteDeltas)`
`void`
AbstractObjectConflictResolver.TakeRemoteChangesThenApplyLocalChanges.`resolveConflicts(Map<CDOObject,org.eclipse.net4j.util.collection.Pair<CDORevision,CDORevisionDelta>> conflicts, List<CDORevisionDelta> allRemoteDeltas)`
Deprecated.
`void`
AbstractObjectConflictResolver.TakeRemoteChangesThenApplyLocalChanges.`resolveConflicts(Map<CDOObject,org.eclipse.net4j.util.collection.Pair<CDORevision,CDORevisionDelta>> conflicts, List<CDORevisionDelta> allRemoteDeltas)`
Deprecated.
Constructors in org.eclipse.emf.spi.cdo with parameters of type CDORevisionDelta
Modifier
Constructor
Description
``
`ChangedInSourceAndDetachedInTargetConflict(CDORevisionDelta sourceDelta)`
``
`ChangedInSourceAndTargetConflict(CDORevisionDelta targetDelta, CDORevisionDelta sourceDelta)`
``
`ChangedInTargetAndDetachedInSourceConflict(CDORevisionDelta targetDelta)`